From bccbcfbfb3a15ece456dce66f918fc989adb8c31 Mon Sep 17 00:00:00 2001
From: Calle Gunnarsson <calle.gunnarsson@gmail.com>
Date: Fri, 22 Aug 2014 12:11:05 +0200
Subject: [PATCH] Cressi Leonardo now reports temperature from dive header

Signed-off-by: Calle Gunnarsson <calle.gunnarsson@gmail.com>
---
 src/cressi_leonardo_parser.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/cressi_leonardo_parser.c b/src/cressi_leonardo_parser.c
index db2d3f0..f79723f 100644
--- a/src/cressi_leonardo_parser.c
+++ b/src/cressi_leonardo_parser.c
@@ -139,6 +139,9 @@ cressi_leonardo_parser_get_field (dc_parser_t *abstract, dc_field_type_t type, u
 			gasmix->oxygen = data[0x19] / 100.0;
 			gasmix->nitrogen = 1.0 - gasmix->oxygen - gasmix->helium;
 			break;
+		case DC_FIELD_TEMPERATURE:
+			*((double *) value) = data[0x22];
+			break;
 		default:
 			return DC_STATUS_UNSUPPORTED;
 		}
-- 
2.1.0

